Bug 148965 - PPTX doesn't import internal hyperlinks on grouped shapes on the first slide
Summary: PPTX doesn't import internal hyperlinks on grouped shapes on the first slide
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-06 12:04 UTC by NISZ LibreOffice Team
Modified: 2022-09-08 07:37 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample for test in pptx (28.20 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2022-05-06 12:05 UTC, NISZ LibreOffice Team
Details
Initial file in odp (15.61 KB, application/vnd.oasis.opendocument.presentation)
2022-05-06 12:05 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2022-05-06 12:04:14 UTC
Description:
This is a similar to bug 144917
When a PPTX slideshow contains internal hyperlinks placed on grouped shapes, the hyperlink are not imported by Impress in the first slide if you use hungarian UI.
If more slides contain the grouped shapes with hyperlink than the first slide doesn't work only, others work fine. 
This problem is only when I use hungarian UI, with english UI works accurately.


Steps to Reproduce:
1.Create a new presentation
2.Add two new slides
3.Use the rectangle icon on the toolbar -> create a rectangle
4.Use the basic shapes icon on the toolbar -> chose isosceles triangle -> create a triangle on the rectangle.
5.Appoint the created triangle -> CTRL + K 
6.Choose "Document" on the sidebar of the window -> click the icon at the end of the "Target in Document" option
7.Choose Slide 3 -> Apply -> close the "Target in Document" window -> Apply and Ok to the Hyperlink window
8.Create a new grouped shapes on the second slide -> steps to creation are in the "Steps to Reproduce" list from 3. step to 7. step
9.Save as pptx

Actual Results:
Hyperlinks were not imported on the first slide so nothing happens on the first slide.

Expected Results:
Clicking the shape on the first slide should take to the last slide.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 83d0f2eebae41d431d9a5bfd1a918523977752d0
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2022-05-06 12:05:10 UTC
Created attachment 179973 [details]
Sample for test in pptx
Comment 2 NISZ LibreOffice Team 2022-05-06 12:05:59 UTC
Created attachment 179974 [details]
Initial file in odp
Comment 3 Commit Notification 2022-05-27 16:33:30 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/855a56fea4561135a63cb729d7a625a950b210e7

tdf#148965 PPTX import: fix internal hyperlinks on shapes

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2022-05-30 08:07:28 UTC
Verified in:

Version: 7.4.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 212cb61fb6adc05395b9f9afe0dacbd6594ae06b
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL